# 项目信息

我们的队伍来自北方工业大学，以下是详细信息：

|       赛题       | [proj350-Innovative-watch-app-development]   |
| :--------------: | :----------------------------- |
|   **队伍名称**   |             NexusCore              |
| **导&emsp;&emsp;师** |          宋丽华     |

队员信息：
|       姓名      | 专业 | 联系方式|
| :--------------: | :----------------------------- |:----------------------------- |
|   **李俊杰**   |  计算机科学与技术（大二）      | 2439896825@qq.com|
|   **谢邹健**   |  计算机科学与技术（大二）      |472330850@qq.com |
|   **张诗语**   |  工业设计（大三）      |1228253761@qq.com |

# 目录索引

```shell
.
├── RunScheme/RunScheme # 项目代码
├── run-pulse/run-pulse # 数据库代码
├── Records # 所有记录文件
│      ├── README.md # 项目日志
│      ├──Images
│      └── References # 参考资料
├── README.md 
└── RunScheme说明文档.pdf
 

```
# 视频

百度网盘(链接:https://pan.baidu.com/s/1kwQUUByJXdQSS659aaT0og) 提取码: 43mj

# 项目说明

本项目开发的智能手表应用，以其创新的交互设计为核心，打造出一款专为跑步爱好者精心打造的创新型跑步训练计划手表应用，集成了丰富的功能以满足跑者的多元化需求。这款应用不仅提供定制化的训练课程和计划，还实时更新天气信息，智能推荐适合的训练饮食和装备，通过这一系列的交互体验，为跑者带来前所未有的便利和个性化服务，助力他们实现更高效的跑步训练和更健康的生活方式。

## 项目特点

·整合训练计划、实时天气更新和个性化饮食建议，三位一体，为用户提供一站式的跑步训练管理

·实现训练数据、天气信息和饮食日志的实时同步，实现随时获取最新信息

## 项目难点

·时间获取算法

·实时天气获取

·数据库连接


## 创新交互说明

1、定制化训练课程和计划：
应用提供个性化的训练课程和计划。用户可以根据自己的偏好和时间安排，选择不同的训练模式和强度。

2、实时天气信息更新：
集成天气API，实时获取并更新天气信息，包括温度、湿度、风向等。


3、智能推荐训练饮食：
应用分析用户的身体状况和训练需求，推荐合适的饮食计划。
提供营养均衡的饮食建议，帮助用户补充能量、恢复体力。

4、装备推荐：
根据用户的跑步习惯、天气条件和个人偏好，推荐适合的运动装备。
帮助用户提升跑步体验和表现。


## 赛题完成情况

### 已完成
- [x] 课程计划的设计
- [x] 训练计划、天气、饮食的页面交互
- [x] 饮食时间内的对于饮食页面自动跳转
- [x] 系统时间与比赛时间的获取
- [x] 实时天气信息的API接入以及装备建议
- [x] 数据库的数据导入
- [x] 训练计划与数据库的连接

### 更新
- [x] 新闻推送
- [x] 各项数据均进行数据库管理

### 进行中
- [ ] 智能提醒和动机激励

# 项目详细说明
[初赛说明文档](https://gitlab.eduxiji.net/T202410009992957/project2210132-238330/-/blob/master/RunScheme%E8%AF%B4%E6%98%8E%E6%96%87%E6%A1%A3.pdf)