package com.ncut.controller;

import com.alibaba.druid.support.json.JSONUtils;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.ncut.common.Result;
import com.ncut.mapper.TrainMapper;
import com.ncut.pojo.Nexuscore;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.Map;

@RestController
@RequestMapping("/train")
@Slf4j
public class TrainController {

    @Autowired
    private TrainMapper trainMapper;

    @GetMapping("/getAll")
    public Result getAll() {

        return Result.success(trainMapper.getAll());
    }

    @PostMapping("/add")
    public Result add(@RequestBody Nexuscore nexuscore) {

        log.info("{}", nexuscore);

        trainMapper.insert(nexuscore);

        return Result.success();
    }
}
